Subject: Re: Subject: [PATCH 2/3] Let git-add--interactive read colors from .gitconfig

From: Dan Zwell <[email-masked]>
Date: Tue, 13 Nov 2007 02:25:07 -0600

Junio C Hamano wrote:
> But the point is, that you are not ignoring invalid color names
> but instead giving back a random match aren't you?

No, if there's no match, the token is ignored. False matches are 
possible in some cases (the bogus config option "colored" would match 
"red", for example), so I will follow your suggestion with the hash, 
after all. I'll send out the next revised patches in a day or two--I've 
made most of the changes you and Jeff suggested, but I need to double check.

Dan